gnutls_ciphersuite_get(3)

NAME
gnutls_ciphersuite_get - API function

SYNOPSIS
#include <gnutls/gnutls.h>

const char * gnutls_ciphersuite_get(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

DESCRIPTION
Get the canonical name of negotiated TLS ciphersuite. The names returned by this function match the IANA registry, with one exception: TLS_DHE_DSS_RC4_128_SHA { 0x00, 0x66 } which is reserved for compatibility. To get a detailed description of the current ciphersuite, it is recommended to use gnutls_session_get_desc().

RETURNS
a string that contains the canonical name of a TLS ciphersuite, or NULL if the handshake is not completed.

SINCE
3.7.4

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/